@import '../../styles/common';

$stacking-order: (
  item: 10,
  focused: 20,
);

$plain-horizontal-spacing: spacing(tight);
$item-spacing: spacing(tight);

.ButtonGroup {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin-top: (-1 * $item-spacing);
  margin-left: (-1 * $item-spacing);
}

.Item {
  margin-top: $item-spacing;
  margin-left: $item-spacing;
}

.Item-plain {
  &:not(:first-child) {
    margin-left: $item-spacing + $plain-horizontal-spacing;
  }

  &:not(:last-child) {
    margin-right: $plain-horizontal-spacing;
  }
}

.segmented {
  display: flex;
  flex-wrap: nowrap;
  margin-top: 0;
  margin-left: 0;

  .Item {
    position: relative;
    z-index: z-index(item, $stacking-order);
    margin-top: 0;
    margin-left: 0;

    &:not(:first-child) {
      margin-left: -1 * border-width(none);
    }
  }

  .Item-focused {
    z-index: z-index(focused, $stacking-order);
  }
}

.fullWidth {
  .Item {
    flex: 1 1 auto;
  }
}

.extraTight {
  margin-top: -1 * spacing(extra-tight);
  margin-left: -1 * spacing(extra-tight);

  .Item {
    margin-top: spacing(extra-tight);
    margin-left: spacing(extra-tight);
  }
}

.tight {
  margin-top: -1 * spacing(tight);
  margin-left: -1 * spacing(tight);

  .Item {
    margin-top: spacing(tight);
    margin-left: spacing(tight);
  }
}

.loose {
  margin-top: -1 * spacing(loose);
  margin-left: -1 * spacing(loose);

  .Item {
    margin-top: spacing(loose);
    margin-left: spacing(loose);
  }
}
